Re: [ANN] Apache Maven Compiler Plugin Version 3.8.0 Released

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Re: [ANN] Apache Maven Compiler Plugin Version 3.8.0 Released

mike digioia


On Sun, Jul 29, 2018 at 7:38 PM, Naman Nigam <[hidden email]> wrote:
This is great news,  thank you. :)
Fixes a long pending Unable to compile simple Java 10 project with Maven
<https://stackoverflow.com/questions/49398894/unable-to-compile-simple-java-10-project-with-maven>
.
One of the reasons for actively using maven for developing in Java for us
is the quick compatibility driven for supporting speedier development, even
with half-yearly JDK releases.

        Regards
    Naman Nigam
 +91-9761212401 | LinkedIn <https://www.linkedin.com/in/nigamnaman>


On Mon, Jul 30, 2018 at 2:10 AM Karl Heinz Marbaise <[hidden email]>
wrote:

> The Apache Maven team is pleased to announce the release of the
> Apache Maven Compiler Plugin Version 3.8.0
>
> https://maven.apache.org/plugins/maven-compiler-plugin/
>
> You should specify the version in your project's plugin configuration:
>
> Important Notes since Version 3.8.0
>
>  * The default value for source/target has been lifted
>    from 1.5 to 1.6 see MCOMPILER-335.
>
>
> <plugin>
>   <groupId>org.apache.maven.plugins</groupId>
>   <artifactId>maven-compiler-plugin</artifactId>
>   <version>3.8.0</version>
> </plugin>
>
> You can download the appropriate sources etc. from the download page:
>
> https://maven.apache.org/plugins/maven-compiler-plugin/download.cgi
>
> Release Notes Maven Compiler Plugin 3.8.0
>
>
> https://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12317225&version=12341563
>
>
> Bugs:
>
>  * [MCOMPILER-311] - NPE when --patch-module is used
>  * [MCOMPILER-321] - Problematic Java 9 modules are silently ignored
>  * [MCOMPILER-332] - Java 10 not supported
>  * [MCOMPILER-338] - Build Issue based on MCOMPILER-192 IT
>  * [MCOMPILER-342] - Unsupported class file major version 55
>  * [MCOMPILER-343] - Tests fail to compile in modularized project due to
> wrong module descriptor path being passed to plexus-java
>
> Improvements:
>
>  * [MCOMPILER-313] - Support mrjar dependency with module descriptor only
> in META-INF/versions/x
>  * [MCOMPILER-323] - Support multi-release jars
>  * [MCOMPILER-335] - Update default source/target from 1.5 to 1.6
>  * [MCOMPILER-341] - Compile module-info.java files located in test sources
>
> Tasks:
>
>  * [MCOMPILER-336] - Dependency that should be on modulepath sometime put
> on classpath
>  * [MCOMPILER-344] - Deprecate <optimize> flag
>  * [MCOMPILER-350] - Add GitHub Documentation
>
> Dependency upgrades:
>
>  * [MCOMPILER-324] - Upgrade parent to 31
>  * [MCOMPILER-351] - Upgrade maven-plugins parent to version 32
>  * [MCOMPILER-352] - Upgrade maven-shared-utils to 3.2.1
>  * [MCOMPILER-353] - Upgrade plexus-compiler to 2.8.4
>
>
> Enjoy,
>
> - The Apache Maven team
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>



---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]